{
  "name": "fdj-api",
  "version": "1.0.0",
  "description": "API for FDJ's technical test",
  "scripts": {
    "start": "node --inspect=3010 -r ts-node/register ./src/server.ts",
    "start:watch": "nodemon",
    "build": "tsc",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "Robin MICHAY",
  "license": "ISC",
  "dependencies": {
    "body-parser": "^1.19.0",
    "cors": "^2.8.5",
    "express": "^4.17.1",
    "express-jwt": "^5.3.1",
    "helmet": "^3.21.2",
    "jsonwebtoken": "^8.5.1",
    "mongodb": "^3.5.0",
    "morgan": "^1.9.1",
    "swagger-ui-express": "^4.1.2"
  },
  "devDependencies": {
    "@types/express": "^4.17.2",
    "@types/mongodb": "^3.3.14",
    "@types/morgan": "^1.7.37",
    "@types/node": "^13.1.6",
    "nodemon": "^2.0.2",
    "ts-node": "^8.6.2",
    "typescript": "^3.7.4"
  },
  "nodemonConfig": {
    "ignore": [
      "**/*.test.ts",
      "**/*.spec.ts",
      "node_modules"
    ],
    "watch": [
      "src"
    ],
    "exec": "npm start",
    "ext": "ts"
  }
}
